gbeke
Enthusiast
Enthusiast

Error when deploying supervisor namespace

Hi,

We have a simple cloud template that deploys a supervisor namespace. There are a few inputs that is used for constraints, naming and a few custom properties that we use to pass a value to a powershell script to set permissions and storage policy. This worked before upgrading to vRA 8.5, but now we get this error: "Failed to create namespace ns. Invalid value for property with name: policy". We are struggling to find a property called "policy", we cant find that "policy" is a property on the namespace object in cloud assembly.

Does anyone know what the error refers to? Thanks in advance.

Cloud template (removed the inputs):
resources:
  Namespace:
    type: Cloud.SV.Namespace
    properties:
       name: '${input.location}-${input.name}'
       constraints:
           - tag: 'location:${input.location}'
    limits:
       cpu_limit: 2000
    nsgroup: '${input.permission}'
    nslocation: '${input.location}'
    nsname: '${resource.Namespace.name}'

0 Kudos
5 Replies
paul_xtravirt
Expert
Expert

Are you sure you are not missing a nspolicy property entry within the section as per below? If you cntrl+enter for intellisense, is nspolicy an available property?

If you found this helpful, please consider awarding some points
0 Kudos
paul_xtravirt
Expert
Expert

storage policy?

If you found this helpful, please consider awarding some points
0 Kudos
gbeke
Enthusiast
Enthusiast

Hi Paul,

Thanks for your suggestions. The only properties not used and available on the namespace object are these:

gbeke_0-1632890475889.png

Originally I used the storage property but since vRA, at least pre 8.5, does not add the storage policy to the namespace when creating it, I removed the storage property. I've added it back but get the same error.

0 Kudos
bandeep
VMware Employee
VMware Employee

Did your issue get resolved? I am getting same error

0 Kudos
gbeke
Enthusiast
Enthusiast

It just started working after an update. I don't remember if it was just a vRA upgrade or combined with a vSphere upgrade. We are on vRA 8.6 and vSphere 7 Update 2.

0 Kudos